using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows;

namespace Infragistics.Samples.Converters
{
    public class BooleanToVisibilityConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {

            Visibility visibilityResult = Visibility.Visible;
            try
            {
                bool parsedValue = bool.Parse(value.ToString());
                if (parsedValue)
                {
                    visibilityResult = Visibility.Visible;
                }
                else
                {
                    visibilityResult = Visibility.Collapsed;
                }
            }
            catch (Exception)
            {
            }
            return visibilityResult;
        }


        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }

    }
     
}